diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-comments-list-table.php ./wordpress-3.3/wp-admin/includes/class-wp-comments-list-table.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-comments-list-table.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-comments-list-table.php	2011-11-15 08:02:42.000000000 -0600
***************
*** 302,319 ****
  	}
  
  	function single_row( $a_comment ) {
! 		global $post, $comment, $the_comment_status;
  
  		$comment = $a_comment;
! 		$the_comment_status = wp_get_comment_status( $comment->comment_ID );
  
  		$post = get_post( $comment->comment_post_ID );
  
  		$this->user_can = current_user_can( 'edit_comment', $comment->comment_ID );
  
! 		echo "<tr id='comment-$comment->comment_ID' class='$the_comment_status'>";
  		echo $this->single_row_columns( $comment );
! 		echo "</tr>";
  	}
  
  	function column_cb( $comment ) {
--- 302,319 ----
  	}
  
  	function single_row( $a_comment ) {
! 		global $post, $comment;
  
  		$comment = $a_comment;
! 		$the_comment_class = join( ' ', get_comment_class( wp_get_comment_status( $comment->comment_ID ) ) );
  
  		$post = get_post( $comment->comment_post_ID );
  
  		$this->user_can = current_user_can( 'edit_comment', $comment->comment_ID );
  
! 		echo "<tr id='comment-$comment->comment_ID' class='$the_comment_class'>";
  		echo $this->single_row_columns( $comment );
! 		echo "</tr>\n";
  	}
  
  	function column_cb( $comment ) {
***************
*** 322,332 ****
  	}
  
  	function column_comment( $comment ) {
! 		global $post, $comment_status, $the_comment_status;
  
  		$user_can = $this->user_can;
  
  		$comment_url = esc_url( get_comment_link( $comment->comment_ID ) );
  
  		$ptime = date( 'G', strtotime( $comment->comment_date ) );
  		if ( ( abs( time() - $ptime ) ) < 86400 )
--- 322,333 ----
  	}
  
  	function column_comment( $comment ) {
! 		global $post, $comment_status;
  
  		$user_can = $this->user_can;
  
  		$comment_url = esc_url( get_comment_link( $comment->comment_ID ) );
+ 		$the_comment_status = wp_get_comment_status( $comment->comment_ID );
  
  		$ptime = date( 'G', strtotime( $comment->comment_date ) );
  		if ( ( abs( time() - $ptime ) ) < 86400 )
***************
*** 410,420 ****
  				$actions['trash'] = "<a href='$trash_url' class='delete:the-comment-list:comment-$comment->comment_ID::trash=1 delete vim-d vim-destructive' title='" . esc_attr__( 'Move this comment to the trash' ) . "'>" . _x( 'Trash', 'verb' ) . '</a>';
  			}
  
! 			if ( 'trash' != $the_comment_status ) {
  				$actions['edit'] = "<a href='comment.php?action=editcomment&amp;c={$comment->comment_ID}' title='" . esc_attr__( 'Edit comment' ) . "'>". __( 'Edit' ) . '</a>';
  				$actions['quickedit'] = '<a onclick="commentReply.open( \''.$comment->comment_ID.'\',\''.$post->ID.'\',\'edit\' );return false;" class="vim-q" title="'.esc_attr__( 'Quick Edit' ).'" href="#">' . __( 'Quick&nbsp;Edit' ) . '</a>';
! 				if ( 'spam' != $the_comment_status )
! 					$actions['reply'] = '<a onclick="commentReply.open( \''.$comment->comment_ID.'\',\''.$post->ID.'\' );return false;" class="vim-r" title="'.esc_attr__( 'Reply to this comment' ).'" href="#">' . __( 'Reply' ) . '</a>';
  			}
  
  			$actions = apply_filters( 'comment_row_actions', array_filter( $actions ), $comment );
--- 411,420 ----
  				$actions['trash'] = "<a href='$trash_url' class='delete:the-comment-list:comment-$comment->comment_ID::trash=1 delete vim-d vim-destructive' title='" . esc_attr__( 'Move this comment to the trash' ) . "'>" . _x( 'Trash', 'verb' ) . '</a>';
  			}
  
! 			if ( 'spam' != $the_comment_status && 'trash' != $the_comment_status ) {
  				$actions['edit'] = "<a href='comment.php?action=editcomment&amp;c={$comment->comment_ID}' title='" . esc_attr__( 'Edit comment' ) . "'>". __( 'Edit' ) . '</a>';
  				$actions['quickedit'] = '<a onclick="commentReply.open( \''.$comment->comment_ID.'\',\''.$post->ID.'\',\'edit\' );return false;" class="vim-q" title="'.esc_attr__( 'Quick Edit' ).'" href="#">' . __( 'Quick&nbsp;Edit' ) . '</a>';
! 				$actions['reply'] = '<a onclick="commentReply.open( \''.$comment->comment_ID.'\',\''.$post->ID.'\' );return false;" class="vim-r" title="'.esc_attr__( 'Reply to this comment' ).'" href="#">' . __( 'Reply' ) . '</a>';
  			}
  
  			$actions = apply_filters( 'comment_row_actions', array_filter( $actions ), $comment );
***************
*** 496,502 ****
  		echo $post_link . '<br />';
  		$this->comments_bubble( $post->ID, $pending_comments );
  		echo '</span> ';
! 		echo "<a href='" . get_permalink( $post->ID ) . "'>#</a>";
  		echo '</div>';
  		if ( 'attachment' == $post->post_type && ( $thumb = wp_get_attachment_image( $post->ID, array( 80, 60 ), true ) ) )
  			echo $thumb;
--- 496,503 ----
  		echo $post_link . '<br />';
  		$this->comments_bubble( $post->ID, $pending_comments );
  		echo '</span> ';
! 		$post_type_object = get_post_type_object( $post->post_type );
! 		echo "<a href='" . get_permalink( $post->ID ) . "'>" . $post_type_object->labels->view_item . '</a>';
  		echo '</div>';
  		if ( 'attachment' == $post->post_type && ( $thumb = wp_get_attachment_image( $post->ID, array( 80, 60 ), true ) ) )
  			echo $thumb;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-filesystem-base.php ./wordpress-3.3/wp-admin/includes/class-wp-filesystem-base.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-filesystem-base.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-filesystem-base.php	2011-09-03 09:18:10.000000000 -0500
***************
*** 153,164 ****
  				if ( defined($constant) && $folder === $dir )
  					return trailingslashit(constant($constant));
  		} elseif ( 'direct' == $this->method ) {
! 			$folder = str_replace('\\', '/', $folder); //Windows path sanitiation
  			return trailingslashit($folder);
  		}
  
! 		$folder = preg_replace('|^([a-z]{1}):|i', '', $folder); //Strip out windows driveletter if its there.
! 		$folder = str_replace('\\', '/', $folder); //Windows path sanitiation
  
  		if ( isset($this->cache[ $folder ] ) )
  			return $this->cache[ $folder ];
--- 153,164 ----
  				if ( defined($constant) && $folder === $dir )
  					return trailingslashit(constant($constant));
  		} elseif ( 'direct' == $this->method ) {
! 			$folder = str_replace('\\', '/', $folder); //Windows path sanitisation
  			return trailingslashit($folder);
  		}
  
! 		$folder = preg_replace('|^([a-z]{1}):|i', '', $folder); //Strip out windows drive letter if it's there.
! 		$folder = str_replace('\\', '/', $folder); //Windows path sanitisation
  
  		if ( isset($this->cache[ $folder ] ) )
  			return $this->cache[ $folder ];
***************
*** 223,229 ****
  		}
  		if ( $loop )
  			return false; //Prevent this function from looping again.
! 		//As an extra last resort, Change back to / if the folder wasnt found. This comes into effect when the CWD is /home/user/ but WP is at /var/www/.... mainly dedicated setups.
  		return $this->search_for_folder($folder, '/', true);
  
  	}
--- 223,229 ----
  		}
  		if ( $loop )
  			return false; //Prevent this function from looping again.
! 		//As an extra last resort, Change back to / if the folder wasn't found. This comes into effect when the CWD is /home/user/ but WP is at /var/www/.... mainly dedicated setups.
  		return $this->search_for_folder($folder, '/', true);
  
  	}
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-filesystem-direct.php ./wordpress-3.3/wp-admin/includes/class-wp-filesystem-direct.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-filesystem-direct.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-filesystem-direct.php	2011-10-13 05:43:38.000000000 -0500
***************
*** 89,95 ****
  	 *
  	 * @param string $file Path to the file.
  	 * @param mixed $group A group name or number.
! 	 * @param bool $recursive (optional) If set True changes file group recursivly. Defaults to False.
  	 * @return bool Returns true on success or false on failure.
  	 */
  	function chgrp($file, $group, $recursive = false) {
--- 89,95 ----
  	 *
  	 * @param string $file Path to the file.
  	 * @param mixed $group A group name or number.
! 	 * @param bool $recursive (optional) If set True changes file group recursively. Defaults to False.
  	 * @return bool Returns true on success or false on failure.
  	 */
  	function chgrp($file, $group, $recursive = false) {
***************
*** 112,118 ****
  	 *
  	 * @param string $file Path to the file.
  	 * @param int $mode (optional) The permissions as octal number, usually 0644 for files, 0755 for dirs.
! 	 * @param bool $recursive (optional) If set True changes file group recursivly. Defaults to False.
  	 * @return bool Returns true on success or false on failure.
  	 */
  	function chmod($file, $mode = false, $recursive = false) {
--- 112,118 ----
  	 *
  	 * @param string $file Path to the file.
  	 * @param int $mode (optional) The permissions as octal number, usually 0644 for files, 0755 for dirs.
! 	 * @param bool $recursive (optional) If set True changes file group recursively. Defaults to False.
  	 * @return bool Returns true on success or false on failure.
  	 */
  	function chmod($file, $mode = false, $recursive = false) {
***************
*** 140,146 ****
  	 *
  	 * @param string $file Path to the file.
  	 * @param mixed $owner A user name or number.
! 	 * @param bool $recursive (optional) If set True changes file owner recursivly. Defaults to False.
  	 * @return bool Returns true on success or false on failure.
  	 */
  	function chown($file, $owner, $recursive = false) {
--- 140,146 ----
  	 *
  	 * @param string $file Path to the file.
  	 * @param mixed $owner A user name or number.
! 	 * @param bool $recursive (optional) If set True changes file owner recursively. Defaults to False.
  	 * @return bool Returns true on success or false on failure.
  	 */
  	function chown($file, $owner, $recursive = false) {
***************
*** 287,293 ****
  		// safe mode fails with a trailing slash under certain PHP versions.
  		$path = untrailingslashit($path);
  		if ( empty($path) )
! 			$path = '/';
  
  		if ( ! $chmod )
  			$chmod = FS_CHMOD_DIR;
--- 287,293 ----
  		// safe mode fails with a trailing slash under certain PHP versions.
  		$path = untrailingslashit($path);
  		if ( empty($path) )
! 			return false;
  
  		if ( ! $chmod )
  			$chmod = FS_CHMOD_DIR;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-filesystem-ftpext.php ./wordpress-3.3/wp-admin/includes/class-wp-filesystem-ftpext.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-filesystem-ftpext.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-filesystem-ftpext.php	2011-10-13 05:43:38.000000000 -0500
***************
*** 247,252 ****
--- 247,256 ----
  		return false;
  	}
  	function mkdir($path, $chmod = false, $chown = false, $chgrp = false) {
+ 		$path = untrailingslashit($path);
+ 		if ( empty($path) )
+ 			return false;
+ 
  		if ( !@ftp_mkdir($this->link, $path) )
  			return false;
  		$this->chmod($path, $chmod);
***************
*** 338,344 ****
  		}
  
  		$pwd = @ftp_pwd($this->link);
! 		if ( ! @ftp_chdir($this->link, $path) ) // Cant change to folder = folder doesnt exist
  			return false;
  		$list = @ftp_rawlist($this->link, '-a', false);
  		@ftp_chdir($this->link, $pwd);
--- 342,348 ----
  		}
  
  		$pwd = @ftp_pwd($this->link);
! 		if ( ! @ftp_chdir($this->link, $path) ) // Cant change to folder = folder doesn't exist
  			return false;
  		$list = @ftp_rawlist($this->link, '-a', false);
  		@ftp_chdir($this->link, $pwd);
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-filesystem-ftpsockets.php ./wordpress-3.3/wp-admin/includes/class-wp-filesystem-ftpsockets.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-filesystem-ftpsockets.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-filesystem-ftpsockets.php	2011-10-13 05:43:38.000000000 -0500
***************
*** 267,272 ****
--- 267,276 ----
  	}
  
  	function mkdir($path, $chmod = false, $chown = false, $chgrp = false ) {
+ 		$path = untrailingslashit($path);
+ 		if ( empty($path) )
+ 			return false;
+ 
  		if ( ! $this->ftp->mkdir($path) )
  			return false;
  		if ( ! $chmod )
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-filesystem-ssh2.php ./wordpress-3.3/wp-admin/includes/class-wp-filesystem-ssh2.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-filesystem-ssh2.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-filesystem-ssh2.php	2011-10-13 05:43:38.000000000 -0500
***************
*** 306,316 ****
  	}
  
  	function touch($file, $time = 0, $atime = 0) {
! 		//Not implmented.
  	}
  
  	function mkdir($path, $chmod = false, $chown = false, $chgrp = false) {
  		$path = untrailingslashit($path);
  		if ( ! $chmod )
  			$chmod = FS_CHMOD_DIR;
  		if ( ! ssh2_sftp_mkdir($this->sftp_link, $path, $chmod, true) )
--- 306,319 ----
  	}
  
  	function touch($file, $time = 0, $atime = 0) {
! 		//Not implemented.
  	}
  
  	function mkdir($path, $chmod = false, $chown = false, $chgrp = false) {
  		$path = untrailingslashit($path);
+ 		if ( empty($path) )
+ 			return false;
+ 
  		if ( ! $chmod )
  			$chmod = FS_CHMOD_DIR;
  		if ( ! ssh2_sftp_mkdir($this->sftp_link, $path, $chmod, true) )
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-list-table.php ./wordpress-3.3/wp-admin/includes/class-wp-list-table.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-list-table.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-list-table.php	2011-10-19 18:51:06.000000000 -0500
***************
*** 91,96 ****
--- 91,99 ----
  		if ( !$args['plural'] )
  			$args['plural'] = $screen->base;
  
+ 		$args['plural'] = sanitize_key( $args['plural'] );
+ 		$args['singular'] = sanitize_key( $args['singular'] );
+ 
  		$this->_args = $args;
  
  		if ( $args['ajax'] ) {
***************
*** 229,235 ****
  	}
  
  	/**
! 	 * Display the bulk actions dropdown.
  	 *
  	 * @since 3.1.0
  	 * @access public
--- 232,238 ----
  	}
  
  	/**
! 	 * Display the list of views available on this table.
  	 *
  	 * @since 3.1.0
  	 * @access public
***************
*** 326,332 ****
  	 * @access protected
  	 *
  	 * @param array $actions The list of actions
! 	 * @param bool $always_visible Wether the actions should be always visible
  	 * @return string
  	 */
  	function row_actions( $actions, $always_visible = false ) {
--- 329,335 ----
  	 * @access protected
  	 *
  	 * @param array $actions The list of actions
! 	 * @param bool $always_visible Whether the actions should be always visible
  	 * @return string
  	 */
  	function row_actions( $actions, $always_visible = false ) {
***************
*** 897,905 ****
  	 * @access private
  	 */
  	function _js_vars() {
  		$args = array(
! 			'class' => get_class( $this ),
! 			'screen' => get_current_screen()
  		);
  
  		printf( "<script type='text/javascript'>list_args = %s;</script>\n", json_encode( $args ) );
--- 900,913 ----
  	 * @access private
  	 */
  	function _js_vars() {
+ 		$current_screen = get_current_screen();
+ 
  		$args = array(
! 			'class'  => get_class( $this ),
! 			'screen' => array(
! 				'id'   => $current_screen->id,
! 				'base' => $current_screen->base,
! 			)
  		);
  
  		printf( "<script type='text/javascript'>list_args = %s;</script>\n", json_encode( $args ) );
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-media-list-table.php ./wordpress-3.3/wp-admin/includes/class-wp-media-list-table.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-media-list-table.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-media-list-table.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 84,96 ****
  	}
  
  	function extra_tablenav( $which ) {
- 		global $post_type;
- 		$post_type_obj = get_post_type_object( $post_type );
  ?>
  		<div class="alignleft actions">
  <?php
  		if ( 'top' == $which && !is_singular() && !$this->detached && !$this->is_trash ) {
! 			$this->months_dropdown( $post_type );
  
  			do_action( 'restrict_manage_posts' );
  			submit_button( __( 'Filter' ), 'secondary', false, false, array( 'id' => 'post-query-submit' ) );
--- 84,94 ----
  	}
  
  	function extra_tablenav( $which ) {
  ?>
  		<div class="alignleft actions">
  <?php
  		if ( 'top' == $which && !is_singular() && !$this->detached && !$this->is_trash ) {
! 			$this->months_dropdown( 'attachment' );
  
  			do_action( 'restrict_manage_posts' );
  			submit_button( __( 'Filter' ), 'secondary', false, false, array( 'id' => 'post-query-submit' ) );
***************
*** 137,143 ****
  		/* translators: column name */
  		if ( !$this->detached ) {
  			$posts_columns['parent'] = _x( 'Attached to', 'column name' );
! 			$posts_columns['comments'] = '<span class="vers"><img alt="Comments" src="' . esc_url( admin_url( 'images/comment-grey-bubble.png' ) ) . '" /></span>';
  		}
  		/* translators: column name */
  		$posts_columns['date'] = _x( 'Date', 'column name' );
--- 135,142 ----
  		/* translators: column name */
  		if ( !$this->detached ) {
  			$posts_columns['parent'] = _x( 'Attached to', 'column name' );
! 			if ( post_type_supports( 'attachment', 'comments' ) )
! 				$posts_columns['comments'] = '<span class="vers"><img alt="' . esc_attr__( 'Comments' ) . '" src="' . esc_url( admin_url( 'images/comment-grey-bubble.png' ) ) . '" /></span>';
  		}
  		/* translators: column name */
  		$posts_columns['date'] = _x( 'Date', 'column name' );
***************
*** 163,168 ****
--- 162,168 ----
  		$alt = '';
  
  		while ( have_posts() ) : the_post();
+ 			$user_can_edit = current_user_can( 'edit_post', $post->ID );
  
  			if ( $this->is_trash && $post->post_status != 'trash'
  			||  !$this->is_trash && $post->post_status == 'trash' )
***************
*** 189,195 ****
  
  	case 'cb':
  ?>
! 		<th scope="row" class="check-column"><?php if ( current_user_can( 'edit_post', $post->ID ) ) { ?><input type="checkbox" name="media[]" value="<?php the_ID(); ?>" /><?php } ?></th>
  <?php
  		break;
  
--- 189,199 ----
  
  	case 'cb':
  ?>
! 		<th scope="row" class="check-column">
! 			<?php if ( $user_can_edit ) { ?>
! 				<input type="checkbox" name="media[]" value="<?php the_ID(); ?>" />
! 			<?php } ?>
! 		</th>
  <?php
  		break;
  
***************
*** 198,204 ****
  ?>
  		<td <?php echo $attributes ?>><?php
  			if ( $thumb = wp_get_attachment_image( $post->ID, array( 80, 60 ), true ) ) {
! 				if ( $this->is_trash ) {
  					echo $thumb;
  				} else {
  ?>
--- 202,208 ----
  ?>
  		<td <?php echo $attributes ?>><?php
  			if ( $thumb = wp_get_attachment_image( $post->ID, array( 80, 60 ), true ) ) {
! 				if ( $this->is_trash || ! $user_can_edit ) {
  					echo $thumb;
  				} else {
  ?>
***************
*** 215,221 ****
  
  	case 'title':
  ?>
! 		<td <?php echo $attributes ?>><strong><?php if ( $this->is_trash ) echo $att_title; else { ?><a href="<?php echo get_edit_post_link( $post->ID, true ); ?>" title="<?php echo esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $att_title ) ); ?>"><?php echo $att_title; ?></a><?php }; _media_states( $post ); ?></strong>
  			<p>
  <?php
  			if ( preg_match( '/^.*?\.(\w+)$/', get_attached_file( $post->ID ), $matches ) )
--- 219,233 ----
  
  	case 'title':
  ?>
! 		<td <?php echo $attributes ?>><strong>
! 			<?php if ( $this->is_trash || ! $user_can_edit ) {
! 				echo $att_title;
! 			} else { ?>
! 			<a href="<?php echo get_edit_post_link( $post->ID, true ); ?>"
! 				title="<?php echo esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $att_title ) ); ?>">
! 				<?php echo $att_title; ?></a>
! 			<?php };
! 			_media_states( $post ); ?></strong>
  			<p>
  <?php
  			if ( preg_match( '/^.*?\.(\w+)$/', get_attached_file( $post->ID ), $matches ) )
***************
*** 287,301 ****
  				$title =_draft_or_post_title( $post->post_parent );
  			}
  ?>
! 			<td <?php echo $attributes ?>>
! 				<strong><a href="<?php echo get_edit_post_link( $post->post_parent ); ?>"><?php echo $title ?></a></strong>,
  				<?php echo get_the_time( __( 'Y/m/d' ) ); ?>
  			</td>
  <?php
  		} else {
  ?>
  			<td <?php echo $attributes ?>><?php _e( '(Unattached)' ); ?><br />
! 			<a class="hide-if-no-js" onclick="findPosts.open( 'media[]','<?php echo $post->ID ?>' );return false;" href="#the-list"><?php _e( 'Attach' ); ?></a></td>
  <?php
  		}
  		break;
--- 299,323 ----
  				$title =_draft_or_post_title( $post->post_parent );
  			}
  ?>
! 			<td <?php echo $attributes ?>><strong>
! 				<?php if( current_user_can( 'edit_post', $post->post_parent ) ) { ?>
! 					<a href="<?php echo get_edit_post_link( $post->post_parent ); ?>">
! 						<?php echo $title ?></a>
! 				<?php } else {
! 					echo $title;
! 				} ?></strong>,
  				<?php echo get_the_time( __( 'Y/m/d' ) ); ?>
  			</td>
  <?php
  		} else {
  ?>
  			<td <?php echo $attributes ?>><?php _e( '(Unattached)' ); ?><br />
! 			<?php if( $user_can_edit ) {?>
! 				<a class="hide-if-no-js"
! 					onclick="findPosts.open( 'media[]','<?php echo $post->ID ?>' ); return false;"
! 					href="#the-list">
! 					<?php _e( 'Attach' ); ?></a>
! 			<?php } ?></td>
  <?php
  		}
  		break;
